summaryrefslogtreecommitdiff
path: root/tools/update-babel-eslint.sh
diff options
context:
space:
mode:
authorAntoine du Hamel <duhamelantoine1995@gmail.com>2020-11-29 23:27:08 +0100
committerDanielle Adams <adamzdanielle@gmail.com>2020-12-07 13:55:55 -0500
commit9ae59c847a315d8a6fe398e5c2c665e250d948d8 (patch)
treea1737af6b5802216429182cfde6361cf6c7d3a1b /tools/update-babel-eslint.sh
parent47345a1f84a418cf74c99ce071bd934dccc9b587 (diff)
downloadnode-new-9ae59c847a315d8a6fe398e5c2c665e250d948d8.tar.gz
tools: upgrade to @babel/eslint-parser 7.12.1
PR-URL: https://github.com/nodejs/node/pull/36321 Fixes: https://github.com/ensure Reviewed-By: Rich Trott <rtrott@gmail.com> Reviewed-By: James M Snell <jasnell@gmail.com>
Diffstat (limited to 'tools/update-babel-eslint.sh')
-rwxr-xr-xtools/update-babel-eslint.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/tools/update-babel-eslint.sh b/tools/update-babel-eslint.sh
index 700194da93..d6de6d25e1 100755
--- a/tools/update-babel-eslint.sh
+++ b/tools/update-babel-eslint.sh
@@ -1,19 +1,19 @@
-#!/usr/bin/env bash
+#!/bin/sh
# Shell script to update babel-eslint in the source tree to the latest release.
# Depends on npm, npx, and node being in $PATH.
# This script must be be in the tools directory when it runs because it uses
-# $BASH_SOURCE[0] to determine directories to work in.
+# $0 to determine directories to work in.
-cd "$( dirname "${BASH_SOURCE[0]}" )"
-rm -rf node_modules/babel-eslint
+cd "$( dirname "${0}" )" || exit
+rm -rf node_modules/@babel
mkdir babel-eslint-tmp
-cd babel-eslint-tmp
+cd babel-eslint-tmp || exit
npm init --yes
-npm install --global-style --no-bin-links --production --no-package-lock babel-eslint@latest
+npm install --global-style --no-bin-links --production --no-package-lock @babel/core @babel/eslint-parser@latest @babel/plugin-syntax-class-properties@latest
# Use dmn to remove some unneeded files.
npx dmn@2.2.2 -f clean
@@ -22,5 +22,5 @@ npx dmn@2.2.2 -f clean
npx removeNPMAbsolutePaths@1.0.4 .
cd ..
-mv babel-eslint-tmp/node_modules/babel-eslint node_modules/babel-eslint
+mv babel-eslint-tmp/node_modules/@babel node_modules/@babel
rm -rf babel-eslint-tmp/